StandardURIResolver
Keywords: com.icl.saxon.StandardURIResolver class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon
Class StandardURIResolver

    java.lang.Object
      com.icl.saxon.StandardURIResolver

All Implemented Interfaces:
  URIResolver

public class StandardURIResolver
extends java.lang.Object
implements URIResolver

This class provides the service of converting a URI into an InputSource. It is used to get stylesheet modules referenced by xsl:import and xsl:include, and source documents referenced by the document() function. The standard version handles anything that the java URL class will handle. You can write a subclass to handle other kinds of URI, e.g. references to things in a database.

Constructor Summary
`protected` | `StandardURIResolver()`
`` | `StandardURIResolver(TransformerFactoryImpl factory)`

Method Summary
`Source` | `resolve(java.lang.String href, java.lang.String base)` Resolve a URI

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardURIResolver

    protected StandardURIResolver()

### StandardURIResolver

    public StandardURIResolver(TransformerFactoryImpl factory)

Method Detail

### resolve

    public Source resolve(java.lang.String href,
                          java.lang.String base)
                   throws TransformerException

  Resolve a URI

  Specified by:
    `resolve` in interface `URIResolver`
  Parameters:
    `href` - An href attribute, which may be relative or absolute.
    `base` - The base URI against which the first argument will be made absolute if the absolute URI is required.
  Returns:
    a Source object representing an XML document
  Throws:
    `TransformerException` - if an error occurs when trying to resolve the URI.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD